Bug#672987: transcode: tcdemux stops on zero-filled blocks

Philipp Marek philipp.marek at linbit.com
Tue May 15 09:05:21 UTC 2012

Package: transcode
Version: 4:1.1.7-0.4
Severity: normal

JFI: the package I'm using is from debian-multimedia.org.

When tcdemux encounters a zero-filled block (eg. because dvdbackup couldn't
read a sector) it spits out a warning and stops, cutting any transformation:

    [demuxer.c] warning: (pid=1854) '0x00000000' not yet supported

An strace shows this:
  execve("/usr/bin/tcdemux", ["tcdemux", "-a", "0", "-x",
    "ac3", "-S", "0", "-M", "1", "-d", "0"], [/* 47 vars */]) = 0
  read(0, "\0\0\1\272DGL\205\245y\1\211\303\370\0\0\1\340\7\354\201\0\0004\1\370\10K(\17\266\3"..., 2048) = 2048
  read(0, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 2048) = 2048
  write(2, "[\33[31;1mdemuxer.c\33[0m]\33[33;1m wa"..., 85)  = 85
  exit_group(0)     = ?

Input is coming from a "tccat" command here.

tcdemux should ignore zero-filled blocks (like vlc, mplayer, and others do),
and do its best to continue.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages transcode depends on:
ii  gawk                           1:4.0.1+dfsg-1
ii  konsole [x-terminal-emulator]  4:4.7.4-2
ii  liba52-0.7.4                   0.7.4-16
ii  libasound2                     1.0.25-2
ii  libavcodec53                   7:0.10.3-dmo1
ii  libavformat53                  7:0.10.3-dmo1
ii  libc6                          2.13-32
ii  libdv4                         1.0.0-4
ii  libdvdread4                    4.2.0-1
ii  libfreetype6                   2.4.9-1
ii  libgomp1                       4.7.0-7
ii  libice6                        2:1.0.8-2
ii  libjpeg8                       8d-1
ii  liblzo2-2                      2.06-1
ii  libmagickcore5                 8:
ii  libmagickwand5                 8:
ii  libmjpegtools-2.0-0            1:2.0.0-dmo1
ii  libmp3lame0                    1:3.99.5-dmo1
ii  libmpeg2-4                     0.4.1-3
ii  libogg0                        1.2.2~dfsg-1
ii  libpostproc52                  7:0.10.3-dmo1
ii  libquicktime2                  2:1.2.4-2
ii  libsdl1.2debian                1.2.15-3
ii  libsm6                         2:1.2.1-2
ii  libtheora0                     1.1.1+dfsg.1-3
ii  libvorbis0a                    1.3.2-1.2
ii  libvorbisfile3                 1.3.2-1.2
ii  libx11-6                       2:
ii  libxaw7                        2:1.0.10-2
ii  libxext6                       2:1.3.1-2
ii  libxml2                        2.7.8.dfsg-9
ii  libxpm4                        1:3.5.10-1
ii  libxt6                         1:1.1.3-1
ii  libxv1                         2:1.0.7-1
ii  xterm [x-terminal-emulator]    278-1
ii  zlib1g                         1:1.2.7.dfsg-1

Versions of packages transcode recommends:
ii  mjpegtools     1:2.0.0-dmo1
ii  sox            14.3.2-3
ii  transcode-doc  4:1.1.7-0.4
ii  twolame        0.3.13-1

transcode suggests no packages.

-- no debconf information

More information about the pkg-multimedia-maintainers mailing list